using System;
using System.Windows.Forms;

namespace _4_7
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int i, n = Convert.ToInt32(textBox1.Text);

            for (i = 0; n > 0; i++)
                n = n / 10;

            MessageBox.Show(i.ToString());
        }
    }
}
